# Class CIM_UoWMetricDefinition
extends CIM_Dependency

An association that describes the Metrics related to a UnitOfWorkDefinition. This is a Dependency relationship since the MetricDefinition relies on the UnitOfWorkDefinition for context. At least one context must be defined for a MetricDefinition, hence the Min (1) qualifier is placed on the UnitOfWorkDefinition reference.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_UoWMetricDefinition

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | An association that describes the Metrics related to a UnitOfWorkDefinition. This is a Dependency relationship since the MetricDefinition relies on the UnitOfWorkDefinition for context. At least one context must be defined for a MetricDefinition, hence the Min (1) qualifier is placed on the UnitOfWorkDefinition reference.
UMLPackagePath | string | CIM::Metrics::UnitOfWork
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_UoWMetricDefinition | CIM_UnitOfWorkDefinition
Dependent | CIM_UoWMetricDefinition | CIM_MetricDefinition

## Class Methods